检测查看 Flash 视频所需的 Flash Player 版本

将 Flash 视频文件插入页面时,您还可以插入代码以检测用户是否拥有查看 Flash 视频所需的正确 Flash Player 版本。如果用户没有正确的版本,则会提示用户下载 Flash Player 的最新版本。

取决于用于创建视频的编解码器,可能需要不同版本的 Flash Player 来查看 Flash 视频。如果视频是用 Sorenson Squeeze 编解码器创建的,站点访问者将需要 Flash Player 7 或更高版本才能播放累进式下载视频,并且将需要 Flash Player 6.0.79 或更高版本来播放流视频。如果视频是用 On2 编解码器创建的,站点访问者将需要 Flash Player 8 或更高版本。

若要插入检测 Flash Player 版本的代码,请执行以下操作:

  1. 在页面中插入 Flash 视频时,在"插入 Flash 视频"对话框中,选择"如果必要,提示用户下载 Flash Player"选项。



    如果页面中已有 Flash 视频,请将其删除,并使用选定的选项并再次插入它。

  2. 接受默认警告消息,或提供您自己的警告消息。

如果决定从页面中删除 Flash 视频,则不再需要检测代码。可以使用 Dreamweaver 将其删除。

若要删除检测 Flash Player 版本的代码,请执行以下操作:

相关主题




未找到评论

 

评论添加到页面后给我发送电子邮件 | 评论报告

当前页: http://www.ecnnl.com/doc/dreamweaver/8_cn/using/18_med23.htm

 

E中荷|荷兰华人电子商务